import importlib
import sys

module_prefix = __name__ + "."  # "lcp_delta.enact."

submodules_to_reload = [
    mod for mod in sys.modules if mod.startswith(module_prefix) and sys.modules[mod]
]

for mod in submodules_to_reload:
    importlib.reload(sys.modules[mod])

from ..common.credentials_holder import CredentialsHolder
from .loader import get_base_endpoints
from .api_helper import APIHelper
from .dps_helper import DPSHelper
from .chart_helper import ChartHelper

base_endpoints = get_base_endpoints()
